Page MenuHomePhabricator

Compile list of statements that contain time values marked as Julian
Closed, ResolvedPublic

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a project: Wikidata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 3:00 PM
Rical added a subscriber: Rical.Feb 24 2015, 4:00 PM

I met this problem for https://www.wikidata.org/wiki/Q4604 date of birth P569.
We could:

  • Preserve the ability to define a date in Julian calendar.
  • Convert it instantly in Gregorian calendar.
  • Display instantly the two dates for any later human reader, if the definition is Julian.

For reading of any date for templates or Scribunto modules :

  • Add the Julian format as an option.

See https://phabricator.wikimedia.org/T85412

Tobi_WMDE_SW closed this task as Resolved.Apr 21 2015, 12:50 PM
Tobi_WMDE_SW moved this task from Doing to Done on the Wikidata-Sprint-2015-04-07 board.
Lucie added a comment.EditedApr 21 2015, 3:55 PM

SPARQL Queries:
On the SPARQL endpoint at http://milenio.dcc.uchile.cl/sparql
For all Dates in gregorian calendar before 1500 and all dates in Julian calendar

SELECT ?entity ?property ?timeString
WHERE {
  ?entity ?property ?valueNode .
  ?valueNode <http://www.wikidata.org/ontology#preferredCalendar>
<http://www.wikidata.org/entity/Q1985786> .
  ?valueNode <http://www.wikidata.org/ontology#time> ?timeString .
}
SELECT ?entity ?property ?timeString
WHERE {
  ?entity ?property ?valueNode.
  ?valueNode <http://www.wikidata.org/ontology#preferredCalendar>
<http://www.wikidata.org/entity/Q1985727>.
  ?valueNode <http://www.wikidata.org/ontology#time> ?timeString.
  FILTER (?timeString < "1500-01-01"^^xsd:date).
}
Rical removed a subscriber: Rical.Jul 21 2017, 9:35 AM